%global commit0 0067a648d6f7676c3a8af5dc1c7e543e70ff5764
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global commitdate0 20180510

# The remaining compilation issues with gcc8 are around gtest
# https://github.com/intel/libyami/issues/830
# https://github.com/intel/libyami/issues/833

Name:           libyami
Version:        1.3.0
Release:        6.%{commitdate0}git%{shortcommit0}%{?dist}
Summary:        Yet Another Media Infrastructure

License:        ASL 2.0 and BSD
URL:            https://github.com/intel/libyami
Source0:        %{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Patch0:         libyami-libtool-macro.patch

BuildRequires:  libtool
BuildRequires:  gcc-c++

BuildRequires:  libva-devel
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(x11)
%{?_with_tests:
BuildRequires:  gtest-devel
}


%description
It is YUMMY to your video experience on Linux like platform.
Yami is a core building block for media solutions. It parses video streams
and decodes them leveraging hardware acceleration.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libyami-%{commit0}
autoreconf -vif


%build
%configure \
  --disable-static \
  --enable-dmabuf \
  --enable-wayland \
  --enable-mpeg2dec \
  --enable-vp9dec \
  --enable-vc1dec \
  --enable-fakedec \
  --enable-jpegenc \
  --enable-vp8svct \
  --enable-vp9enc \
  --enable-h265enc \
%{?_with_tests:--enable-tests}

%make_build V=1


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%{?_with_tests:
%check
# Some tests require a va-api backend (and X11 server)
make check
}


%ldconfig_scriptlets


%files
%license LICENSE.md 
%license codecparsers/dboolhuff.LICENSE codecparsers/vp9quant.LICENSE
%doc NEWS README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libyami.pc


%changelog
* Sun Aug 05 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-6.20180510git0067a64
- Update to 20180510 git snapshot

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5.20180228git40fa32e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 16 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-4.20180228git40fa32e
- Switch to --with tests (opt-in)

* Fri Mar 09 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-3.20180228git40fa32e
- Improve dist tag with commitdate0
- Correct license
- Disable obsolete libtool macro

* Thu Mar 08 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-2.git40fa32e
- Switch to current git
- Improve descrition
- Enable more parsers
- Enable make check (unless gcc8 and 32bit)

* Wed Jan 24 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-1
- Initial spec file
